Bug 19533

Summary: Hold pulldown for itemtype is empty if hold placement needs override
Product: Koha Reporter: Kyle M Hall <kyle>
Component: Hold requestsAssignee: Kyle M Hall <kyle>
Status: CLOSED FIXED QA Contact: Marcel de Rooy <m.de.rooy>
Severity: minor    
Priority: P5 - low CC: andreas.hedstrom.mace, fridolin.somers, gmcharlt, katrin.fischer, m.de.rooy, nick
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Attachments: Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override
Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override
Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override
Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override

Description Kyle M Hall 2017-10-26 11:35:37 UTC
To recreate:
1) Enable AllowHoldPolicyOverride
2) Enable AllowHoldItemTypeSelection
3) Create a situation where adding a hold for a patron would trigger a tooManyReserves
   warning.
4) Note the itemtype pulldown is empty
Comment 1 Kyle M Hall 2017-10-26 11:37:18 UTC
Created attachment 68593 [details] [review]
Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override

Test Plan:
1) Enable AllowHoldPolicyOverride
2) Enable AllowHoldItemTypeSelection
3) Create a situation where adding a hold for a patron would trigger a tooManyReserves
   warning.
4) Note the itemtype pulldown is empty
5) Apply this patch
6) Reload the page
7) Itemtype pulldown should have values
Comment 2 Andreas Hedström Mace 2017-10-26 20:40:14 UTC
Even after applying the patch, the itemtype dropdown remains empty when a staff override is required.
Comment 3 Kyle M Hall 2017-10-27 14:21:30 UTC
Created attachment 68723 [details] [review]
Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override

Test Plan:
1) Enable AllowHoldPolicyOverride
2) Enable AllowHoldItemTypeSelection
3) Create a situation where adding a hold for a patron would trigger a tooManyReserves
   warning.
4) Note the itemtype pulldown is empty
5) Apply this patch
6) Reload the page
7) Itemtype pulldown should have values
Comment 4 Katrin Fischer 2017-10-28 13:11:05 UTC
Created attachment 68805 [details] [review]
Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override

Test Plan:
1) Enable AllowHoldPolicyOverride
2) Enable AllowHoldItemTypeSelection
3) Create a situation where adding a hold for a patron would trigger a tooManyReserves
   warning.
4) Note the itemtype pulldown is empty
5) Apply this patch
6) Reload the page
7) Itemtype pulldown should have values

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Marcel de Rooy 2017-11-27 12:25:46 UTC
Created attachment 69372 [details] [review]
Bug 19533 - Hold pulldown for itemtype is empty if hold placement needs override

Test Plan:
1) Enable AllowHoldPolicyOverride
2) Enable AllowHoldItemTypeSelection
3) Create a situation where adding a hold for a patron would trigger a tooManyReserves
   warning.
4) Note the itemtype pulldown is empty
5) Apply this patch
6) Reload the page
7) Itemtype pulldown should have values

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2017-12-07 12:40:00 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2017-12-14 12:30:58 UTC
Pushed to stable for 17.11.01, awesome work all!
Comment 8 Fridolin SOMERS 2017-12-20 08:28:57 UTC
Pushed to 17.05.x, will be in v17.05.07

Looks like the same code is in if and else now, strange o_O